//////////////////////////////////////////////////////////////////////
// Created by Actel SmartDesign Mon Apr 14 13:05:33 2014
// Testbench Template
// This is a basic testbench that instantiates your design with basic 
// clock and reset pins connected.  If your design has special
// clock/reset or testbench driver requirements then you should 
// copy this file and modify it. 
//////////////////////////////////////////////////////////////////////

`timescale 1ns/100ps

module testbench;

parameter SYSCLK_PERIOD = 100; // 10MHz

reg SYSCLK;
reg NSYSRESET;

initial
begin
    SYSCLK = 1'b0;
    NSYSRESET = 1'b0;
end

//////////////////////////////////////////////////////////////////////
// Reset Pulse
//////////////////////////////////////////////////////////////////////
initial
begin
    #(SYSCLK_PERIOD * 10 )
        NSYSRESET = 1'b1;
end


//////////////////////////////////////////////////////////////////////
// 10MHz Clock Driver
//////////////////////////////////////////////////////////////////////
always @(SYSCLK)
    #(SYSCLK_PERIOD / 2.0) SYSCLK <= !SYSCLK;


//////////////////////////////////////////////////////////////////////
// Instantiate Unit Under Test:  M2S_SOM_MSS
//////////////////////////////////////////////////////////////////////
M2S_SOM_MSS M2S_SOM_MSS_0 (
    // Inputs
    .SPI_0_DI({1{1'b0}}),
    .SPI_1_DI({1{1'b0}}),
    .MCCC_CLK_BASE(SYSCLK),
    .MMUART_1_RXD({1{1'b0}}),
    .MMUART_0_RXD({1{1'b0}}),
    .MAC_MII_RX_ER({1{1'b0}}),
    .MAC_MII_RX_DV({1{1'b0}}),
    .MAC_MII_CRS({1{1'b0}}),
    .MAC_MII_COL({1{1'b0}}),
    .MAC_MII_RX_CLK(SYSCLK),
    .MAC_MII_TX_CLK(SYSCLK),
    .MDDR_DQS_TMATCH_0_IN(NSYSRESET),
    .MAC_MII_MDI({1{1'b0}}),
    .MCCC_CLK_BASE_PLL_LOCK(SYSCLK),
    .GPIO_0_F2M({1{1'b0}}),
    .MDDR_APB_S_PRESET_N(NSYSRESET),
    .MDDR_APB_S_PCLK(SYSCLK),
    .FIC_2_APB_M_PREADY({1{1'b0}}),
    .FIC_2_APB_M_PSLVERR({1{1'b0}}),
    .MDDR_APB_S_PWRITE(NSYSRESET),
    .MDDR_APB_S_PENABLE({1{1'b0}}),
    .MDDR_APB_S_PSEL({1{1'b0}}),
    .MAC_MII_RXD({4{1'b0}}),
    .FIC_2_APB_M_PRDATA({32{1'b0}}),
    .MDDR_APB_S_PWDATA({16{1'b0}}),
    .MDDR_APB_S_PADDR({9{1'b0}}),

    // Outputs
    .SPI_0_DO( ),
    .SPI_1_DO( ),
    .MMUART_1_TXD( ),
    .MMUART_0_TXD( ),
    .MAC_MII_TX_EN( ),
    .MAC_MII_TX_ER( ),
    .MDDR_DQS_TMATCH_0_OUT( ),
    .MDDR_CAS_N( ),
    .MDDR_CLK( ),
    .MDDR_CLK_N( ),
    .MDDR_CKE( ),
    .MDDR_CS_N( ),
    .MDDR_ODT( ),
    .MDDR_RAS_N( ),
    .MDDR_RESET_N( ),
    .MDDR_WE_N( ),
    .MAC_MII_MDC( ),
    .MAC_MII_MDO_EN( ),
    .MAC_MII_MDO( ),
    .MSS_RESET_N_M2F( ),
    .GPIO_1_M2F( ),
    .GPIO_2_M2F( ),
    .FIC_2_APB_M_PRESET_N( ),
    .FIC_2_APB_M_PCLK( ),
    .FIC_2_APB_M_PWRITE( ),
    .FIC_2_APB_M_PENABLE( ),
    .FIC_2_APB_M_PSEL( ),
    .MDDR_APB_S_PREADY( ),
    .MDDR_APB_S_PSLVERR( ),
    .MAC_MII_TXD( ),
    .MDDR_ADDR( ),
    .MDDR_BA( ),
    .FIC_2_APB_M_PADDR( ),
    .FIC_2_APB_M_PWDATA( ),
    .MDDR_APB_S_PRDATA( ),

    // Inouts
    .I2C_0_SDA( ),
    .I2C_0_SCL( ),
    .I2C_1_SDA( ),
    .I2C_1_SCL( ),
    .SPI_0_CLK( ),
    .SPI_0_SS0( ),
    .SPI_1_CLK( ),
    .SPI_1_SS0( ),
    .MDDR_DM_RDQS( ),
    .MDDR_DQ( ),
    .MDDR_DQS( )

);

endmodule

